## org.eclipse.e4.xwt
Interface IConstants

    public interface IConstants

Shared constants

Author:
  yyang

Field Summary
`static org.eclipse.e4.xwt.xml.DocumentObject[]` `EMPTY_DOCOBJ_ARRAY`
`static java.util.Enumeration<java.net.URL>` `EMPTY_ENUMERATION`
`static java.util.ResourceBundle` `EMPTY_RESOURCE_BUNDLE`
`static java.lang.String[]` `EMPTY_STRING_ARRAY`
`static java.lang.String` `XAML_BINDING`
`static java.lang.String` `XAML_CLR_ASSEMBLY`
`static java.lang.String` `XAML_CLR_NAMESPACE_PROTO`
`static java.lang.String` `XAML_COMMAND`
`static java.lang.String` `XAML_DATACONTEXT`
`static java.lang.String` `XAML_DYNAMICRESOURCES`
`static java.lang.String` `XAML_STATICRESOURCES`
`static java.lang.String` `XAML_X_ARRAY`
`static java.lang.String` `XAML_X_CLASS`
`static java.lang.String` `XAML_X_KEY`
`static java.lang.String` `XAML_X_NAME`
`static java.lang.String` `XAML_X_NULL`
`static java.lang.String` `XAML_X_SHARED`
`static java.lang.String` `XAML_X_STATIC`
`static java.lang.String` `XAML_X_STATIC_MEMBER`
`static java.lang.String` `XAML_X_TARGET_TYPE`
`static java.lang.String` `XAML_X_TYPE`
`static java.lang.String` `XAML_X_TYPE_NAME`
`static java.lang.String` `XML_NS`
`static java.lang.String` `XWT_EXTENSION`
`static java.lang.String` `XWT_EXTENSION_SUFFIX`
`static java.lang.String` `XWT_NAMESPACE`
`static java.lang.String` `XWT_X_NAMESPACE`

Field Detail

### XAML_X_KEY

    static final java.lang.String XAML_X_KEY

See Also:
  Constant Field Values

### XAML_X_TYPE

    static final java.lang.String XAML_X_TYPE

See Also:
  Constant Field Values

### XAML_X_TARGET_TYPE

    static final java.lang.String XAML_X_TARGET_TYPE

See Also:
  Constant Field Values

### XAML_X_TYPE_NAME

    static final java.lang.String XAML_X_TYPE_NAME

See Also:
  Constant Field Values

### XAML_CLR_ASSEMBLY

    static final java.lang.String XAML_CLR_ASSEMBLY

See Also:
  Constant Field Values

### XAML_X_STATIC

    static final java.lang.String XAML_X_STATIC

See Also:
  Constant Field Values

### XAML_X_STATIC_MEMBER

    static final java.lang.String XAML_X_STATIC_MEMBER

See Also:
  Constant Field Values

### XAML_X_ARRAY

    static final java.lang.String XAML_X_ARRAY

See Also:
  Constant Field Values

### XAML_X_CLASS

    static final java.lang.String XAML_X_CLASS

See Also:
  Constant Field Values

### XAML_X_NAME

    static final java.lang.String XAML_X_NAME

See Also:
  Constant Field Values

### XAML_X_NULL

    static final java.lang.String XAML_X_NULL

See Also:
  Constant Field Values

### XAML_X_SHARED

    static final java.lang.String XAML_X_SHARED

See Also:
  Constant Field Values

### XAML_DATACONTEXT

    static final java.lang.String XAML_DATACONTEXT

See Also:
  Constant Field Values

### XAML_COMMAND

    static final java.lang.String XAML_COMMAND

See Also:
  Constant Field Values

### XAML_CLR_NAMESPACE_PROTO

    static final java.lang.String XAML_CLR_NAMESPACE_PROTO

See Also:
  Constant Field Values

### XAML_STATICRESOURCES

    static final java.lang.String XAML_STATICRESOURCES

See Also:
  Constant Field Values

### XAML_DYNAMICRESOURCES

    static final java.lang.String XAML_DYNAMICRESOURCES

See Also:
  Constant Field Values

### XAML_BINDING

    static final java.lang.String XAML_BINDING

See Also:
  Constant Field Values

### XML_NS

    static final java.lang.String XML_NS

See Also:
  Constant Field Values

### XWT_NAMESPACE

    static final java.lang.String XWT_NAMESPACE

See Also:
  Constant Field Values

### XWT_X_NAMESPACE

    static final java.lang.String XWT_X_NAMESPACE

See Also:
  Constant Field Values

### XWT_EXTENSION

    static final java.lang.String XWT_EXTENSION

See Also:
  Constant Field Values

### XWT_EXTENSION_SUFFIX

    static final java.lang.String XWT_EXTENSION_SUFFIX

See Also:
  Constant Field Values

### EMPTY_ENUMERATION

    static final java.util.Enumeration<java.net.URL> EMPTY_ENUMERATION

### EMPTY_RESOURCE_BUNDLE

    static final java.util.ResourceBundle EMPTY_RESOURCE_BUNDLE

### EMPTY_STRING_ARRAY

    static final java.lang.String[] EMPTY_STRING_ARRAY

### EMPTY_DOCOBJ_ARRAY

    static final org.eclipse.e4.xwt.xml.DocumentObject[] EMPTY_DOCOBJ_ARRAY